%YAML:1.0

load_vicon: 1
vicon_path: "/home/data/vicon_rosado_full"

start_visualization: 1
#pcd_path: "/home/data/images_calib_v2_2nd/pcd/short"
pcd_path: "/home/data/images_calib_v2_2nd/pcd_filtered/short"

add_center_coordinate_system: 0
draw_pcd: 1

pcd_auto_change_frame: 0
pcd_start_iteration: 0
pcd_stop_iteration: 6000
pcd_step: 1
pcd_exit_on_end: 0

save_screen_shots: 0
screen_shots_path: "/home/jorge/Desktop/screen_shots"

draw_vicon: 1

set_camera_position: 1
camera_position_x: -4.0
camera_position_y: 0.4
camera_position_z: 1.0

camera_target_from_vicon: 0

# Only used when drawing the pcd cloud
set_camera_target: 0
camera_target_x: 0
camera_target_y: 0.4
camera_target_z: 1

do_camera_orbit: 0
orbit_steps: 1500
orbit_start_theta: -1.047
orbit_delta_theta: 0.01
orbit_distance: 4
orbit_center_x: 0
orbit_center_y: 1
orbit_center_z: 1
orbit_z_displacement: 1

vicon_start_iteration: 0
vicon_stop_iteration: 7000
vicon_step: 1
vicon_auto_change_frame: 1
vicon_exit_on_end: 1

viewer_width: 1280
viewer_height: 720